JVN#36303528: Installer and self-extracting archive containing the installer of "Security Setup Tool" may insecurely load Dynamic Link Libraries

2017-08-25T00:00:00
ID JVN:36303528
Type jvn
Reporter Japan Vulnerability Notes
Modified 2017-08-25T00:00:00

Description

## Description

The installer and the self-extracting archive containing the installer of "Security Setup Tool" provided by NIPPON TELEGRAPH AND TELEPHONE WEST CORPORATION contains an issue with the DLL search path, which may lead to insecurely loading Dynamic Link Libraries (CWE-427).

## Impact

Arbitrary code may be executed with the privilege of the user invoking the installer or the self-extracting archive.

## Solution

Do not invoke either the installer or the self-extracting archive
If the installer or the self-extracting archive containing the installer of "Security Setup Tool" still resides in your computer and "Security Setup Tool" has not yet been installed, do not install it. Delete the executable file immediately.
Note that this issue only affects the installer or the self-extracting archive only, thus users who have already installed "Security Setup Tool" are not affected.

For details, refer to the information provided by the developer.

## Products Affected

  • Security Setup Tool all versions